Bug 803793 (CVE-2012-1179) - CVE-2012-1179 kernel: thp:__split_huge_page() mapcount != page_mapcount BUG_ON()
Summary: CVE-2012-1179 kernel: thp:__split_huge_page() mapcount != page_mapcount BUG_ON()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-1179
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 800328 803808 803809 823612 1165268 1188485 1188486 1188487 1188488
Blocks: 802633
TreeView+ depends on / blocked
 
Reported: 2012-03-15 16:36 UTC by Petr Matousek
Modified: 2019-09-29 12:51 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-24 12:26:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0743 normal SHIPPED_LIVE Important: kernel security and bug fix update 2012-06-18 17:32:36 UTC
Red Hat Product Errata RHSA-2012:1042 normal SHIPPED_LIVE Important: kernel security and bug fix update 2012-06-26 22:40:37 UTC

Description Petr Matousek 2012-03-15 16:36:45 UTC
In some cases it may happen that pmd_none_or_clear_bad() is called
with the mmap_sem hold in read mode. In those cases the huge page
faults can allocate hugepmds under pmd_none_or_clear_bad() and that
can trigger a false positive from pmd_bad() that will not like to see
a pmd materializing as trans huge.

A privileged user in the KVM guest can use this flaw to crash the host.
An unprivileged local user could use this flaw to crash the system.

Proposed upstream patch:
http://comments.gmane.org/gmane.linux.kernel.mm/75413

Comment 2 Petr Matousek 2012-03-15 16:57:20 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 803809]

Comment 4 Fedora Update System 2012-03-17 23:58:33 UTC
kernel-3.2.10-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2012-03-26 18:02:11 UTC
kernel-2.6.42.12-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2012-06-18 13:33:45 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0743 https://rhn.redhat.com/errata/RHSA-2012-0743.html

Comment 9 errata-xmlrpc 2012-06-26 18:43:36 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.1 EUS - Server Only

Via RHSA-2012:1042 https://rhn.redhat.com/errata/RHSA-2012-1042.html


Note You need to log in before you can comment on or make changes to this bug.